gRPC C#
gRPC C#
Namespaces
Grpc.Core
AsyncUnaryCall(TResponse) Class
AsyncUnaryCall(TResponse) Properties
AsyncUnaryCall(TResponse) Methods

AsyncUnaryCall TResponse Class

Return type for single request - single response call.
Inheritance Hierarchy
System
Object
Grpc.Core
AsyncUnaryCall
TResponse

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class AsyncUnaryCall<TResponse> : IDisposable

    Public NotInheritable Class AsyncUnaryCall(Of TResponse)
    	Implements IDisposable

    generic<typename TResponse>
    public ref class AsyncUnaryCall sealed : IDisposable

    [<SealedAttribute>]
    type AsyncUnaryCall<'TResponse> =
        class
            interface IDisposable
        end

#### Type Parameters

TResponse
  Response message type for this call.

The AsyncUnaryCall
TResponse
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| ResponseAsync | Asynchronous call result.
| ResponseHeadersAsync | Asynchronous access to response headers.

Top
Methods

| Name | Description
--- | --- | ---
| Dispose | Provides means to cleanup after the call. If the call has already finished normally (request stream has been completed and call result has been received), doesn't do anything. Otherwise, requests cancellation of the call which should terminate all pending async operations associated with the call. As a result, all resources being used by the call should be released eventually.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetAwaiter | Allows awaiting this object directly.
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetStatus | Gets the call status if the call has already finished. Throws InvalidOperationException otherwise.
| GetTrailers | Gets the call trailing metadata if the call has already finished. Throws InvalidOperationException otherwise.
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace